<template>
    <div id="category">
      <!--头部-->
      <!-- <Header/> -->
      <div class="header-title">
        <span class="header-title-return-back" @click="returnClick"><van-icon name="arrow-left" /></span>
        <span class="header-title-name-bold">失信信息</span>
      </div>
  
      <div class="manage-body">
        <div v-for="(item, index) in shixinList" :key="index">
        <div @click="jumpDetail(item)" class="fw-bold mg-lt-16 mg-bt-10">{{ item.anNo }}</div>
        <div @click="jumpDetail(item)" class="mg-lt-16 mg-bt-10"><van-tag class="mg-lt-5 pd-5 fs-13" color="#FDEAEB" text-color="#DB2C2C" size="large">{{ item.executeStatus }}</van-tag></div>
        <van-cell-group @click="jumpDetail(item)">
            <div class="fs-14 mg-lt-16 mg-bt-5 mg-tp-8">立案日期：{{ item.lianDate }}</div>
            <div class="fs-14 mg-lt-16 mg-bt-5 mg-tp-8">失信具体行为：{{ item.actionremark }}</div>
            <div style="padding-bottom: 10px" class="fs-14 mg-lt-16 mg-bt-5 mg-tp-8">失信被执行人：{{ item.name }}</div>
        </van-cell-group>
        </div>
      </div>
    </div>

  </template>
  
  <script>
  import { Button, Col, Row, Icon, Field, Tag } from 'vant';
  
  // 3. 引入接口
  import {postQueryIllegalShixin} from "@/service/api/customerDashboard";

  
  export default {
    name: "PromiseInfo",
    data() {
      return {
        shixinList: [],
        currentPage: 1,
        loading: false,
        isEndLoading: false,
      }
    },
    components: {
      VanButton: Button,
      VanRow: Row,
      VanCol: Col,
      VanIcon: Icon,
      VanField: Field,
      VanTag: Tag,
    },
    created() {
      window.scrollTo(0, 0)
    },
    mounted() {
      window.addEventListener('scroll', this.scrollBottom);
      this.postIllegalShixin();
    },
    destroyed() {
      window.removeEventListener('scroll', this.scrollBottom)
    },
    methods: {
      // 获取失信信息
      async postIllegalShixin(){
        let params = {
          // companyId: '00334179afa2e99e4d2932c4ae1f738c',
          companyId: sessionStorage.getItem('companyId'),
          pageNum: this.currentPage,
          pageSize: 10,
        }
        let result = await postQueryIllegalShixin(params);
        // this.shixinList = result.records;
        if (this.loading) {
          this.shixinList = this.shixinList.concat(result.records);
        } else {
          this.shixinList = result.records;
        }
        if (this.shixinList.length < result.total) {
          this.isEndLoading = false;
        } else {
          this.isEndLoading = true;
        }
        this.loading = false;
      },
      returnClick() {
        this.$router.go(-1)
      },
      jumpDetail(data) {
        sessionStorage.setItem('PromiseInfoData', JSON.stringify(data))
        this.$router.push({path: 'PromiseInfoDetail'})
      },

      scrollBottom() {
        let scrollTop = document.documentElement.scrollTop || document.body.scrollTop  //页面滚动的高度
        let clientHeight = document.documentElement.clientHeight  //可视区域高度
        let scrollHeight = document.documentElement.scrollHeight  //可滚动内容的高度
        let bottomOfWindow = scrollTop + clientHeight + 1000 >= scrollHeight    //是否滚动到底部
        //loading 和 this.tableData.length和this.total是自己的判断条件
        if (scrollTop !== 0 && bottomOfWindow && !this.loading) {
          this.loading = true;
          this.currentPage += 1;
          this.postIllegalShixin();
        }
      },

    },
  }
  </script>
  
  <style lang="less" scoped>
  
  .header-title {
    height: 46px;
    width: 100%;
    background-color: #fff;
    text-align: center;
  }
  .header-title-name {
    font-weight: bold;
    line-height: 46px;
    align-items: center;
    justify-content: center;
    display: inline-flex;
  }
  .header-title-return {
    position: absolute;
    top: 13px;
    left: 20px;
    font-size: 15px;
  }
  .manage-body {
    margin-top: 10px;
    background-color: #fff;
    padding: 10px 10px 10px 10px;
  }
  /deep/ .van-nav-bar__text {
    color: gray !important;
    font-weight: bold;
  }
  .icon-mg {
    margin-left: 3px;
  }
  /deep/ .van-cell__value {
    bottom: 5px;
  }
  </style>../../service/api/index